CMSTimeStampedGenerator (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.tsp.cms

## Class CMSTimeStampedGenerator

- java.lang.Object
- - org.bouncycastle.tsp.cms.CMSTimeStampedGenerator

- Direct Known Subclasses:
    CMSTimeStampedDataGenerator

      public class CMSTimeStampedGenerator
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.net.URI` | `dataUri`
    `protected org.bouncycastle.asn1.cms.MetaData` | `metaData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMSTimeStampedGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialiseMessageImprintDigestCalculator(DigestCalculator calculator)` Initialise the passed in calculator with the MetaData for this message, if it is required as part of the initial message imprint calculation.
    `void` | `setDataUri(java.net.URI dataUri)` Set the dataURI to be included in message.
    `void` | `setMetaData(boolean hashProtected, java.lang.String fileName, java.lang.String mediaType)` Set the MetaData for the generated message.
    `void` | `setMetaData(boolean hashProtected, java.lang.String fileName, java.lang.String mediaType, org.bouncycastle.asn1.cms.Attributes attributes)` Set the MetaData for the generated message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### metaData

          protected org.bouncycastle.asn1.cms.MetaData metaData

    - #### dataUri

          protected java.net.URI dataUri

  - ### Constructor Detail

    - #### CMSTimeStampedGenerator

          public CMSTimeStampedGenerator()

  - ### Method Detail

    - #### setDataUri

          public void setDataUri(java.net.URI dataUri)

      Set the dataURI to be included in message.
      Parameters:
        `dataUri` - URI for the data the initial message imprint digest is based on.

    - #### setMetaData

          public void setMetaData(boolean hashProtected,
                         java.lang.String fileName,
                         java.lang.String mediaType)

      Set the MetaData for the generated message.
      Parameters:
        `hashProtected` - true if the MetaData should be included in first imprint calculation, false otherwise.
        `fileName` - optional file name, may be null.
        `mediaType` - optional media type, may be null.

    - #### setMetaData

          public void setMetaData(boolean hashProtected,
                         java.lang.String fileName,
                         java.lang.String mediaType,
                         org.bouncycastle.asn1.cms.Attributes attributes)

      Set the MetaData for the generated message.
      Parameters:
        `hashProtected` - true if the MetaData should be included in first imprint calculation, false otherwise.
        `fileName` - optional file name, may be null.
        `mediaType` - optional media type, may be null.
        `attributes` - optional attributes, may be null.

    - #### initialiseMessageImprintDigestCalculator

          public void initialiseMessageImprintDigestCalculator(DigestCalculator calculator)
                                                        throws CMSException

      Initialise the passed in calculator with the MetaData for this message, if it is required as part of the initial message imprint calculation. After initialisation the calculator can then be used to calculate the initial message imprint digest for the first timestamp.
      Parameters:
        `calculator` - the digest calculator to be initialised.
      Throws:
        `CMSException` - if the MetaData is required and cannot be processed